kind: pipeline
name: default

steps:
  - name: build container
    image: plugins/docker
    settings:
      dockerfile: Dockerfile
      username:
        from_secret: registry-username
      password:
        from_secret: registry-password
      registry: https://cs-registry.ddnss.de
      repo: cs-registry.ddnss.de/${DRONE_REPO_OWNER}/old_editors
      dry_run: false
      purge: true
      insecure: false
      tags:
        - ${DRONE_TAG}